Package org.apache.ignite.internal.management.cache

## Class ContentionTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.management.cache.ContentionTaskResult

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class ContentionTaskResult
    extends VisorDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
`ContentionTaskResult()` For externalization only.
`ContentionTaskResult​(List<ContentionJobResult> clusterInfos, Map<UUID,​Exception> exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,​Exception>` `exceptions()`
`Collection<ContentionInfo>` `getInfos()`
`Collection<ContentionJobResult>` `jobResults()`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentionTaskResult

    public ContentionTaskResult​(List<ContentionJobResult> clusterInfos,
                                Map<UUID,​Exception> exceptions)

Parameters:
  `clusterInfos` - Cluster infos.
  `exceptions` - Exceptions.

#### ContentionTaskResult

    public ContentionTaskResult()

For externalization only.

### Method Detail

#### jobResults

    public Collection<ContentionJobResult> jobResults()

Returns:
  Cluster infos.

#### getInfos

    public Collection<ContentionInfo> getInfos()

Returns:
  Collection of `ContentionInfo` collected during task execution.

#### exceptions

    public Map<UUID,​Exception> exceptions()

Returns:
  Exceptions.

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`